<h3>What's happening?</h3>

<table class="table table-sm">
  <thead>
    <th></th>
    <th>Event</th>
    <th>Device</th>
    <th>Point</th>
    <th>Credential</th>
    <th>#</th>
  </thead>
  <tbody>
    <template ngFor let-event [ngForOf]="events" let-i="index">
      <tr (click)="expandedEvents[i] = !expandedEvents[i]">
        <td class="gk-table-status" [class.gk-table-status-ok]="event.state === 'granted'" [class.gk-table-status-error]="event.state === 'denied'"></td>
        <td>{{ event.name }}</td>
        <td>{{ event.device }}</td>
        <td>{{ event.point }}</td>
        <td>{{ event.credential }}</td>
        <td>
          <button class="btn btn-sm btn-primary">
            <app-btn-expander [state]="expandedEvents[i]"></app-btn-expander>
          </button>
        </td>
      </tr>
      <tr [hidden]="!expandedEvents[i]"  style="background-color:#DADADA">
        <td colspan="6">
          <pre>{{ event | json }}</pre>
        </td>
      </tr>
    </template>
  </tbody>
</table>
